apiVersion: apps/v1
kind: Deployment
metadata:
  name: demo-ci
spec:
  template:
    metadata:
      labels:
        app: demo-ci
        mode: canary
    spec:
      containers:
      - name: primary
        env:
        - name: env
          value: prod
        - name: LOG
          value: TRACE
        resources:
          limits:
            memory: 128Mi
---

kind: Service
apiVersion: v1
metadata:
  name: demo-ci
spec:
  selector:
    app: demo-ci
    mode: canary